Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdNtClientStatus Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | Status ([out, retval] ReNtClientStatus *peStatus)
HRESULT | Status ([in] ReNtClientStatus eStatus)
HRESULT | SendQueueBytes ([out, retval] RtDWORD *pdwVal)
HRESULT | SendQueueBytes ([in] RtDWORD dwVal)
HRESULT | Progress ([out, retval] RtDWORD *pdwVal)
HRESULT | Progress ([in] RtDWORD dwVal)
HRESULT | ProgressMaxVal ([out, retval] RtDWORD *pdwMaxVal)
HRESULT | ProgressMaxVal ([in] RtDWORD dwMaxVal)
HRESULT | SplitMsgProgressLo ([out, retval] RtDWORD *pdwVal)
HRESULT | SplitMsgProgressLo ([in] RtDWORD dwVal)
HRESULT | SplitMsgProgressNr ([out, retval] RtDWORD *pdwVal)
HRESULT | SplitMsgProgressNr ([in] RtDWORD dwVal)
HRESULT | SplitMsgProgressHi ([out, retval] RtDWORD *pdwVal)
HRESULT | SplitMsgProgressHi ([in] RtDWORD dwVal)
HRESULT | GetAsText ([out, retval] BSTR *pVal)

## Detailed Description

Client status data object provides detailed information about current client's status. This object complements IRdNtClientInfo. It is stored in separate connector Status of the network client object that is placed in /Network space after you login to Shared Space.

## Member Function Documentation

HRESULT IRdNtClientStatus::Clear | ( | void |  | ) |

| Clears this data object.

HRESULT IRdNtClientStatus::Status | ( | [out, retval] ReNtClientStatus * | peStatus | ) |

  | Read client's status. Parameters:
  peStatus | - returns client's status. Possible values: 0 - Unknown status 1 - Client is disconnected 2 - Client just connecting 3 - Client is waiting for its session ID 4 - Client is waiting for access verifying 5 - Connecttion is established, waiting for initial context transfer 6 - Context transfer started 7 - Client is ready

HRESULT IRdNtClientStatus::Status | ( | [in] ReNtClientStatus | eStatus | ) |

  | Set client's status. Parameters:
  eStatus | - client's status. For possible values see Status([out, retval] ReNtClientStatus *peStatus)

HRESULT IRdNtClientStatus::SendQueueBytes | ( | [out, retval] RtDWORD * | pdwVal | ) |

  | Read how much bytes is still in send queue. Parameters:
  pdwVal | - returns number of bytes that are waiting in send queue to be sent

HRESULT IRdNtClientStatus::SendQueueBytes | ( | [in] RtDWORD | dwVal | ) |

  | Write number of bytes that are in send queue. Parameters:
  dwVal | - number of bytes that are waiting in send queue to be sent

HRESULT IRdNtClientStatus::Progress | ( | [out, retval] RtDWORD * | pdwVal | ) |

  | Read transfer progress number. Use ProgressMaxVal to get the maximum progress value. Parameters:
  pdwVal | - returns progress number

HRESULT IRdNtClientStatus::Progress | ( | [in] RtDWORD | dwVal | ) |

  | Write transfer progress number. Use ProgressMaxVal to set the maximum progress value. Parameters:
  dwVal | - progress number

HRESULT IRdNtClientStatus::ProgressMaxVal | ( | [out, retval] RtDWORD * | pdwMaxVal | ) |

  | Read the maximum transfer progress number. Parameters:
  pdwMaxVal | - returns the maximum progress number

HRESULT IRdNtClientStatus::ProgressMaxVal | ( | [in] RtDWORD | dwMaxVal | ) |

  | Write the maximum transfer progress number. Parameters:
  dwMaxVal | - the maximum progress number

HRESULT IRdNtClientStatus::SplitMsgProgressLo | ( | [out, retval] RtDWORD * | pdwVal | ) |

  | Read transfer progress number for low priority send queue. Parameters:
  pdwVal | - returns number of bytes that are waiting in low priority send queue

HRESULT IRdNtClientStatus::SplitMsgProgressLo | ( | [in] RtDWORD | dwVal | ) |

  | Write transfer progress number for low priority send queue. Parameters:
  dwVal | - number of bytes that are waiting in low priority send queue

HRESULT IRdNtClientStatus::SplitMsgProgressNr | ( | [out, retval] RtDWORD * | pdwVal | ) |

  | Read transfer progress number for normal priority send queue. Parameters:
  pdwVal | - returns number of bytes that are waiting in normal priority send queue

HRESULT IRdNtClientStatus::SplitMsgProgressNr | ( | [in] RtDWORD | dwVal | ) |

  | Write transfer progress number for normal priority send queue. Parameters:
  dwVal | - number of bytes that are waiting in normal priority send queue

HRESULT IRdNtClientStatus::SplitMsgProgressHi | ( | [out, retval] RtDWORD * | pdwVal | ) |

  | Read transfer progress number for high priority send queue. Parameters:
  pdwVal | - returns number of bytes that are waiting in high priority send queue

HRESULT IRdNtClientStatus::SplitMsgProgressHi | ( | [in] RtDWORD | dwVal | ) |

  | Write transfer progress number for high priority send queue. Parameters:
  dwVal | - number of bytes that are waiting in high priority send queue

HRESULT IRdNtClientStatus::GetAsText | ( | [out, retval] BSTR * | pVal | ) |

  | Call this method to interpret IRdNtClientStatus data as a simple string value. It is used for example by Network View to display your current status. Parameters:
  pVal | - returns simple string that represents client's statis.